package com.xingxi.business.Order.mapper;

import com.xingxi.business.Order.domain.OrderDelivery;

import java.util.List;

/**
 * 订单明细发货单Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface OrderDeliveryMapper {
    /**
     * 查询订单明细发货单
     *
     * @param orderDeliveryId 订单明细发货单主键
     * @return 订单明细发货单
     */
    OrderDelivery selectOrderDeliveryByOrderDeliveryId(Long orderDeliveryId);

    /**
     * 查询订单明细发货单列表
     *
     * @param orderDelivery 订单明细发货单
     * @return 订单明细发货单集合
     */
    List<OrderDelivery> selectOrderDeliveryList(OrderDelivery orderDelivery);

    /**
     * 新增订单明细发货单
     *
     * @param orderDelivery 订单明细发货单
     * @return 结果
     */
    int insertOrderDelivery(OrderDelivery orderDelivery);

    /**
     * 批量新增订单明细发货单
     *
     * @param orderDeliveryList 订单明细发货单
     * @return 结果
     */
    int batchInsertOrderDelivery(List<OrderDelivery> orderDeliveryList);

    /**
     * 修改订单明细发货单
     *
     * @param orderDelivery 订单明细发货单
     * @return 结果
     */
    int updateOrderDelivery(OrderDelivery orderDelivery);

    /**
     * 删除订单明细发货单
     *
     * @param orderDeliveryId 订单明细发货单主键
     * @return 结果
     */
    int deleteOrderDeliveryByOrderDeliveryId(Long orderDeliveryId);

    /**
     * 批量删除订单明细发货单
     *
     * @param orderDeliveryIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteOrderDeliveryByOrderDeliveryIds(String[] orderDeliveryIds);


    /**
     * 逻辑删除订单明细发货单
     *
     * @param orderDeliveryId 订单明细发货单主键
     * @return 结果
     */
    int logicDeleteOrderDeliveryByOrderDeliveryId(Long orderDeliveryId);

    /**
     * 逻辑批量删除订单明细发货单
     *
     * @param orderDeliveryIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteOrderDeliveryByOrderDeliveryIds(String[] orderDeliveryIds);

    /**
     * 逻辑批量删除订单明细发货单
     *
     * @param orderDelivery 订单明细发货单
     * @return 结果
     */
    int logicDeleteOrderDeliveryByCondition(OrderDelivery orderDelivery);

}
